<?php

namespace Drupal\eck_site_settings;

use Drupal\Core\Form\FormStateInterface;
use Drupal\eck\EckEntityInterface;

/**
 * Alters the ECK entity form.
 */
class EckEntityFormAlter {

  /**
   * Add a submit handler to the form.
   *
   * @param array $form
   *   The form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The form state.
   */
  public function alterForm(array &$form, FormStateInterface $form_state): void {
    $form['actions']['submit']['#submit'][] = [$this, 'redirectToEdit'];
  }

  /**
   * Redirect to the edit form.
   *
   * @param array $form
   *   The form.
   * @param \Drupal\Core\Form\FormStateInterface $form_state
   *   The form state.
   */
  public static function redirectToEdit(array $form, FormStateInterface $form_state): void {
    $type = $form_state->getFormObject()->getEntity();
    assert($type instanceof EckEntityInterface);

    $form_state->setRedirectUrl($type->toUrl('edit-form'));
  }

}
